Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class RealmUserPrivateCredential

`java.lang.Object
oracle.security.jazn.realm.RealmUserPrivateCredential`

public class RealmUserPrivateCredential
extends java.lang.Object

This class represents a private credential for a realm user.

Constructor Summary
`RealmUserPrivateCredential(java.lang.String name, char[] cred)` Creates a `RealmUserPrivateCredential` with a char array <p/> <p/>

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `RealmUserPrivateCredential` for equality.
`char[]` | `getCredential()` Returns a char array representation of this `RealmUserPrivateCredential` <p/> <p/>
`java.lang.String` | `toString()` Return a string representation of this `RealmUserPrivateCredential`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealmUserPrivateCredential

    public RealmUserPrivateCredential(java.lang.String name,
                                      char[] cred)

  Creates a `RealmUserPrivateCredential` with a char array <p/> <p/>
Parameters:
  `name` - the name of the user
  `cred` - the credential of this user.

Method Detail

### getCredential

    public char[] getCredential()

  Returns a char array representation of this `RealmUserPrivateCredential` <p/> <p/>
  Returns:
    a char array representation of this `RealmUserPrivateCredential`

### toString

    public java.lang.String toString()

  Return a string representation of this `RealmUserPrivateCredential`. <p/>
  Returns:
    a string representation of this `RealmUserPrivateCredential`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `RealmUserPrivateCredential` for equality. Returns true if the given object is also a `RealmUserPrivateCredential` and the two RealmUserPrivateCredentials have identical values. <p/> <p/>
  Parameters:
    `o` - Object to be compared for equality with this `RealmUserPrivateCredential`.
  Returns:
    true if the specified Object is equal equal to this `RealmUserPrivateCredential`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.